### Method

# Gtk FontChooserset_font_desc

deprecated: 4.10

#### Declaration [src]

    void
    gtk_font_chooser_set_font_desc (
      GtkFontChooser* fontchooser,
      const PangoFontDescription* font_desc
    )

#### Description [src]

Sets the currently-selected font from `font_desc`.

Deprecated since: 4.10

Use `GtkFontDialog` and `GtkFontDialogButton` instead.

Sets property | `Gtk.FontChooser:font-desc`

#### Parameters

`font_desc`

  Type: `PangoFontDescription`

  A `PangoFontDescription`

  The data is owned by the caller of the method.